<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zjrs.ggfw.rlzysc.entity.ZyjnMapper">
    <select id="getZyjnList" resultType="com.zjrs.ggfw.rlzysc.dto.JlxxZyjnUDTO">
     select a.rs_rlzy_zyjn_dyb_lsh dyblsh,b.rs_rlzy_zyjn_lsh rsrlzyzyjnlsh,b.JNHZTC jnhztc,b.ZGDJ zgdj,b.HQSJ hqsj,b.CYGZ cygz,b.ZSH zsh,b.CSNX csnx,b.SM sm
      from v_rs_rlzy_zyjn_dyb a,v_rs_rlzy_zyjn b where
     a.rs_rlzy_jlxx_lsh = #{dto.rsrlzyjlxxlsh} and a.rs_rlzy_zyjn_lsh = b.rs_rlzy_zyjn_lsh
        order by b.ts_xgsj desc
    </select>

    <select id="getZyjnpoList" parameterType="com.zjrs.ggfw.rlzysc.dto.grzxjlxx.ZjDTO" resultType="com.zjrs.ggfw.rlzysc.po.RsRlzyZyjnPO">
        select b.*,
        (select aaa103 from  v_ggfw_dict where aaa100 = 'RS_RLZY_ZGDJ' and aaa102= b.zgdj) as "zgdjname",
        a.rs_rlzy_zyjn_dyb_lsh as dyblsh
        from v_rs_rlzy_zyjn_dyb a,v_rs_rlzy_zyjn b where
        a.rs_rlzy_jlxx_lsh = #{dto.zjlsh}
        and a.rs_rlzy_zyjn_lsh = b.rs_rlzy_zyjn_lsh
        order by b.ts_xgsj desc
    </select>

    <select id="getZyjnNrById" resultType="com.zjrs.ggfw.rlzysc.po.RsRlzyZyjnPO">
         select * from v_rs_rlzy_zyjn c where c.rs_rlzy_zyjn_lsh not in
       (select a.rs_rlzy_zyjn_lsh from v_rs_rlzy_zyjn_dyb a,v_rs_rlzy_jlxx b
       where a.rs_rlzy_jlxx_lsh = b.rs_rlzy_jlxx_lsh and a.rs_rlzy_jlxx_lsh = #{jlxxlsh}
       and b.rs_yhlsh = #{yhlsh}) and c.rs_yhlsh = #{yhlsh} 
    </select>

    <select id="getzyjnWhList" resultType="com.zjrs.ggfw.rlzysc.po.RsRlzyZyjnPO">
        select * from v_rs_rlzy_zyjn c where c.rs_rlzy_zyjn_lsh not in
       (select a.rs_rlzy_zyjn_lsh from v_rs_rlzy_zyjn_dyb a,v_rs_rlzy_jlxx b
       where a.rs_rlzy_jlxx_lsh = b.rs_rlzy_jlxx_lsh and a.rs_rlzy_jlxx_lsh =  #{dto.rsrlzyjlxxlsh}
       and b.rs_yhlsh = #{yhlsh}) and c.rs_yhlsh = #{yhlsh} order by c.ts_xgsj desc
    </select>
</mapper>
